profile
viewpoint

Ask questions$FlowFixMe not taken into account anymore in some situations with 0.129.0

Version 0.129.0 reports errors despite $FlowFixMe

For instance:

// $FlowFixMe
delete this._isPlayBack;

reports:

Cannot delete `this._isPlayBack` because  undefined [1] is incompatible with  boolean [2]. Flow(incompatible-type)
myfile.js[864, 3]: [1] undefined
myfile.js[144, 29]: [2] boolean

I have dozens of errors like that on code that was clean since I upgraded to 0.129.0. Am I missing something?

flowtype/flow-bin

Answer questions dsainati1

Yea the changes were made in the versions between there.

useful!

Related questions

No questions were found.
source:https://uonfu.com/
Github User Rank List